<template>
  <div class="badge badge-dark position-relative">
      <a href="" class="text-white text-decoration-none" @click.prevent="to()">{{ text }}</a>

      <button type="button" class="badge-close text-white d-inline-block border-0" @click="removeItem()" v-if="showRemove">
          <i class="fas fa-minus"></i>
      </button>
  </div>
</template>

<script>
import { removeRecentSearches } from '@/services/recent-searches.js'

export default {
    name: 'SearchBadge',
    props: {
        text: String,
        showRemove: Boolean
    },
    methods: {
        removeItem() {
            let newArray = removeRecentSearches(this.text)
            this.$store.commit('search/SET_RECENT_SEARCHES', newArray)
        },
        to() {
            this.$router.push({name: 'buscar-productos', query: {q: this.text}})
            this.$bvModal.hide('modal-mobile-search')
            this.$emit('redirect')
        }
    }
}
</script>

<style lang="scss" scoped>
@import '~/assets/scss/variables';

.badge {
    font-weight: 100;
    font-size: .8em;

    &-dark {
        background-color: rgba($dark, .9);

        &:hover {
            background-color: $dark;
        }
    }

    &-close {
        background-color: rgba($danger, .9);
        font-size: .5rem;
        line-height: .7rem;
        border-radius: 3px;
        position: absolute;
        top: -.4rem;
        right: -.5rem;
        z-index: 10;
    }
}
</style>